Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class TracingStrategy

    java.lang.Object
      ix.util.ipc.WrapperStrategy
          ix.util.ipc.TracingStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy, ParameterizedCommStrategy

    public class TracingStrategy

extends WrapperStrategy

A wrapper strategy that describes the input and output as XML.

Field Summary
`(package private) XMLTranslator` | `xmlt`

Fields inherited from class ix.util.ipc.WrapperStrategy
`innerStrategy`

Constructor Summary
`TracingStrategy()`
`TracingStrategy(IPC.CommunicationStrategy innerStrategy)`

Method Summary
`void` | `sendObject(java.lang.Object destination, java.lang.Object contents)`
`void` | `setupServer(java.lang.Object destination, IPC.MessageListener innerListener)`
`protected void` | `traceReceive(IPC.InputMessage message)`
`protected void` | `traceSend(java.lang.Object destination, java.lang.Object contents)`

Methods inherited from class ix.util.ipc.WrapperStrategy
`apply`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlt

    XMLTranslator xmlt

Constructor Detail

### TracingStrategy

    public TracingStrategy()

### TracingStrategy

    public TracingStrategy(IPC.CommunicationStrategy innerStrategy)

Method Detail

### sendObject

    public void sendObject(java.lang.Object destination,
                           java.lang.Object contents)

  Specified by:
    `sendObject` in interface `IPC.CommunicationStrategy`
  Overrides:
    `sendObject` in class `WrapperStrategy`

### setupServer

    public void setupServer(java.lang.Object destination,
                            IPC.MessageListener innerListener)

  Specified by:
    `setupServer` in interface `IPC.CommunicationStrategy`
  Overrides:
    `setupServer` in class `WrapperStrategy`

### traceSend

    protected void traceSend(java.lang.Object destination,
                             java.lang.Object contents)

### traceReceive

    protected void traceReceive(IPC.InputMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD